Get Blocked Slots

http
GET https://services.leadconnectorhq.com/calendars/blocked-slots

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYes0007BWpSzSwfiuSl0tR2Account Id
userIdstringNoCVokAlI8fgw4WYWoCtQzUser Id - Owner of an appointment. Either of userId, groupId or calendarId is required
calendarIdstringNoBqTwX8QFwXzpegMve9EQEither of calendarId, userId or groupId is required
groupIdstringNoocQHyuzHvysMo5N5VsXcEither of groupId, calendarId or userId is required
startTimestringYes1680373800000Start Time (in millis)
endTimestringYes1680978599999End Time (in millis)

Responses

200 - Successful response
  • events (object[])

    • id (string, required): Event Id or Instance id for a recurring event

    • address (string): Calendar Event address Example: https://meet.google.com/yqp-gogr-wve

    • title (string, required): Calendar Event title Example: Appointment with GHL Dev team

    • calendarId (string, required): Calendar ID Example: BqTwX8QFwXzpegMve9EQ

    • locationId (string, required): Account ID Example: 0007BWpSzSwfiuSl0tR2

    • contactId (string, required): Contact ID Example: 9NkT25Vor1v4aQatFsv2

    • groupId (string, required): Group ID Example: 9NkT25Vor1v4aQatFsv2

    • appointmentStatus (string, required): Appointment Status Example: confirmed

    • assignedUserId (string, required): AssignedUser - the primary owner of an appointment Example: YlWd2wuCAZQzh2cH1fVZ

    • users (string[], required): Users - the secondary owners of an appointment.

    • notes (string): Notes Example: Some dummy note

    • description (string): Description Example: Some dummy description

    • isRecurring (boolean): true if the event is recurring otherwise false Example: true

    • rrule (string): RRULE as per the iCalendar (RFC 5545) specification for recurring events. DTSTART is not required, instance ids are calculated on the basis of startTime of the event.

    • startTime (object, required): Start Time Example: 2023-09-25T16:00:00+05:30

    • endTime (object, required): End Time Example: 2023-09-25T16:00:00+05:30

    • dateAdded (object, required): Date Added Example: 2023-09-25T16:00:00+05:30

    • dateUpdated (object, required): Date Updated Example: 2023-09-25T16:00:00+05:30

    • assignedResources (string[]): Ids of associated resources rooms and/or equipments

    • createdBy (object): Appointment booked by metadata

    • masterEventId (string): Master event id for a recurring instance Example: ocWd2wuBGAQzh2cH1fSZ

json
{
  "events": [
    {
      "id": "string",
      "address": "https://meet.google.com/yqp-gogr-wve",
      "title": "Appointment with GHL Dev team",
      "calendarId": "BqTwX8QFwXzpegMve9EQ",
      "locationId": "0007BWpSzSwfiuSl0tR2",
      "contactId": "9NkT25Vor1v4aQatFsv2",
      "groupId": "9NkT25Vor1v4aQatFsv2",
      "appointmentStatus": "confirmed",
      "assignedUserId": "YlWd2wuCAZQzh2cH1fVZ",
      "users": [
        "YlWd2wuCAZQzh2cH1fVZ",
        "9NkT25Vor1v4aQatFsv2"
      ],
      "notes": "Some dummy note",
      "description": "Some dummy description",
      "isRecurring": "true",
      "rrule": "string",
      "startTime": "2023-09-25T16:00:00+05:30",
      "endTime": "2023-09-25T16:00:00+05:30",
      "dateAdded": "2023-09-25T16:00:00+05:30",
      "dateUpdated": "2023-09-25T16:00:00+05:30",
      "assignedResources": [
        "string"
      ],
      "masterEventId": "ocWd2wuBGAQzh2cH1fSZ"
    }
  ]
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/calendars/blocked-slots' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?